## org.eclipse.emf.codegen.ecore.genmodel
Interface GenEnumLiteral

All Superinterfaces:
  EObject, GenBase, Notifier

All Known Implementing Classes:
  GenEnumLiteralImpl

    public interface GenEnumLiteral

extends GenBase

A representation of the model object 'Gen Enum Literal'.

The following features are supported:

- `Gen Enum`
- `Ecore Enum Literal`

See Also:
  `GenModelPackage.getGenEnumLiteral()`

Method Summary
`java.lang.String` `getCapName()`
`EEnumLiteral` `getEcoreEnumLiteral()` Returns the value of the 'Ecore Enum Literal' reference
`java.lang.String` `getEnumLiteralAccessorName()`
`java.lang.String` `getEnumLiteralID()`
`java.lang.String` `getEnumLiteralInstanceConstantName()`
`java.lang.String` `getEnumLiteralValueConstantName()`
`java.lang.String` `getFormattedName()`
`GenEnum` `getGenEnum()` Returns the value of the 'Gen Enum' container reference.
`GenPackage` `getGenPackage()`
`java.lang.String` `getLiteral()`
`java.lang.String` `getModelInfo()`
`java.lang.String` `getName()`
`int` `getValue()`
`void` `initialize(EEnumLiteral eEnumLiteral)`
`boolean` `reconcile(GenEnumLiteral oldGenEnumLiteralVersion)`
`void` `setEcoreEnumLiteral(EEnumLiteral value)` Sets the value of the '`Ecore Enum Literal`' reference
`void` `setGenEnum(GenEnum value)` Sets the value of the '`Gen Enum`' container reference

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenBase

`canGenerate, canGenerateEdit, canGenerateEditor, canGenerateSchema, canGenerateTests, capName, format, gen, genEdit, genEditor, generate, generate, generateEdit, generateEdit, generateEditor, generateEditor, generateSchema, generateSchema, generateTests, generateTests, genSchema, genTests, getCopyright, getDocumentation, getEcoreModelElement, getGenAnnotation, getGenAnnotations, getGenModel, hasCopyright, hasDocumentation, reconcile, safeName, uncapName, uncapPrefixedName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getGenEnum

    GenEnum getGenEnum()

  Returns the value of the 'Gen Enum' container reference. It is bidirectional and its opposite is '`Gen Enum Literals`'.

  Returns:
    the value of the 'Gen Enum' container reference.
  See Also:
    `setGenEnum(GenEnum)`, `GenModelPackage.getGenEnumLiteral_GenEnum()`, `GenEnum.getGenEnumLiterals()`

### setGenEnum

    void setGenEnum(GenEnum value)

  Sets the value of the '`Gen Enum`' container reference.

  Parameters:
    `value` - the new value of the 'Gen Enum' container reference.
  See Also:
    `getGenEnum()`

### getEcoreEnumLiteral

    EEnumLiteral getEcoreEnumLiteral()

  Returns the value of the 'Ecore Enum Literal' reference.

  Returns:
    the value of the 'Ecore Enum Literal' reference.
  See Also:
    `setEcoreEnumLiteral(EEnumLiteral)`, `GenModelPackage.getGenEnumLiteral_EcoreEnumLiteral()`

### setEcoreEnumLiteral

    void setEcoreEnumLiteral(EEnumLiteral value)

  Sets the value of the '`Ecore Enum Literal`' reference.

  Parameters:
    `value` - the new value of the 'Ecore Enum Literal' reference.
  See Also:
    `getEcoreEnumLiteral()`

### getName

    java.lang.String getName()

### getCapName

    java.lang.String getCapName()

### getValue

    int getValue()

### getEnumLiteralID

    java.lang.String getEnumLiteralID()

### getLiteral

    java.lang.String getLiteral()

### getEnumLiteralInstanceConstantName

    java.lang.String getEnumLiteralInstanceConstantName()

  Since:
    2.3

### getEnumLiteralValueConstantName

    java.lang.String getEnumLiteralValueConstantName()

  Since:
    2.3

### getGenPackage

    GenPackage getGenPackage()

### getEnumLiteralAccessorName

    java.lang.String getEnumLiteralAccessorName()

### getFormattedName

    java.lang.String getFormattedName()

### initialize

    void initialize(EEnumLiteral eEnumLiteral)

### getModelInfo

    java.lang.String getModelInfo()

### reconcile

    boolean reconcile(GenEnumLiteral oldGenEnumLiteralVersion)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.